Redmine - Defect #8566

Exported PDF UTF-8 Viethamese not correct
2011-06-08 17:46 - Van Nam Nguyen

Status: Closed Start date: 2011-06-08

Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 100%

Category: PDF export Estimated time: 0.00 hour

Target version: 1.2.1

Resolution: Fixed Affected version: 1.2.0

Description

Hi everybody,

| am using Redmine 1.2 on Centos 5.6, Rails 2.3.11, Ruby 1.87.

When i export issues list, the text has strange.

Attached below

Related issues:

Related to Redmine - Defect #61: Broken character encoding in pdf export Closed

Related to Redmine - Patch #8312: Switch to TCPDF from FPDF for PDF export Closed 2011-05-06
Related to Redmine - Defect #8892: Unused fonts in rfpdf plugin folder Closed 2011-07-24

Associated revisions

Revision 6018 - 2011-06-09 02:01 - Toshi MARUYAMA
PDF: change Vietnamese vi.yml general_pdf_encoding from UTF-8 to CP1258 (#8566).

Revision 6030 - 2011-06-10 01:13 - Toshi MARUYAMA
PDF: Import DejaVu fonts (#8566).

http://rfpdf.googlecode.com/files/DejaVu.zip
Sep. 2007

fils size 3,685,721

md5sum: 54274d105b74f817d649035fc1541d8a

rename files.
e DejaVuSans.rb to dejavusans.rb

e DejaVuSansb.rb to dejavusansb.rb
¢ DejaVuSansi.rb to dejavusansi.rb

Revision 6031 - 2011-06-10 01:18 - Toshi MARUYAMA
PDF: fix font name in vendor/plugins/rfpdf/lib/fonts/dejavusansi.rb (#8566).

Revision 6034 - 2011-06-10 02:30 - Toshi MARUYAMA
PDF: back out r6018 (#8566).

change Vietnamese vi.yml general_pdf_encoding from CP1258 to UTF-8.

Revision 6035 - 2011-06-10 02:31 - Toshi MARUYAMA
PDF: use DejaVuSans fonts in Vietnamese (#8566).

Revision 6401 - 2011-08-03 10:16 - Toshi MARUYAMA
PDF: remove unused DejaVuSans-ExtralLight font (#8892, #8566).

Revision 6402 - 2011-08-03 10:48 - Toshi MARUYAMA
PDF: remove unused DejaVu fonts except DejaVuSans-BoldOblique (#8892, #8566).

FreeSans has freesansbi.rb. But there is no dejavusansbi.rb.
http://rfpdf.googlecode.com/files/DejaVu.zip

History

#1 - 2011-06-09 02:11 - Toshi MARUYAMA
- Subject changed from Exported UTF-8 Vietnamese not correct to Exported PDF UTF-8 Vietnamese not correct
- Assignee deleted (Toshi MARUYAMA)

| changed general_pdf_encoding from UTF-8 to CP1258 in trunk r6018 and 1.2-stable r6019.
source:trunk/config/locales/vi.yml@6013#L.192

Please check PDF correct.

#2 - 2011-06-09 06:52 - Van Nam Nguyen
- File export2.pdf added
- Assignee set to Toshi MARUYAMA

Dear Toshi,
| had changed general_pdf_encoding from UTF-8 to CP1258 in source:trunk/config/locales/vi.yml@6013#L 192 but the issue not solved.

#3 - 2011-06-09 07:04 - Toshi MARUYAMA
- File font.png added

What font is used in Viethnamese?

| Description | Security |F0ﬂt5| Custom I Advanced|

Fonts Used in this Document

= a Helvetica

Type: Typel

Encoding: Ansi

Actual Font: ArialMT

Actual Font Type: TrueType
= & Helvetica-Bold

Type: Typel

Encoding: Ansi

Actual Font: Arial-BoldMT

Actual Font Type: TrueType
=] a Helvetica- Oblique

Type: Typel

Encoding: Ansi

Actual Font: Anial-ItalichAT

Actual Font Type: TrueType

#4 - 2011-06-09 08:31 - Van Nam Nguyen

| had install ArialMT font on my PC. But this font not full support Vietnamese. Best for Vietnamese Unicode are Arial, Time New Roman, Tahoma and
many unicode Windows font. | think this issue did'nt solve last 1 year http://www.redmine.org/boards/2/topics/10885?r=16448

#5 - 2011-06-09 12:40 - Toshi MARUYAMA
- % Done changed from 0 to 30

#6 - 2011-06-09 12:46 - Toshi MARUYAMA

| pushed my bitbucket mercurial repository.
Please try it.
https://bi ket.org/mar i/redmine-vietnamese-pdf
https://www.redmine.org/projects/redmine/repository/svn/revisions/6018
https://www.redmine.org/projects/redmine/repository/svn/revisions/6019
https://www.redmine.org/projects/redmine/repository/svn/revisions/6013/entry/trunk/config/locales/vi.yml#L192
https://www.redmine.org/projects/redmine/repository/svn/revisions/6013/entry/trunk/config/locales/vi.yml#L192
http://www.redmine.org/boards/2/topics/10885?r=16448
https://bitbucket.org/marutosi/redmine-vietnamese-pdf

#7 - 2011-06-09 13:13 - Van Nam Nguyen
Good job Toshi!

The issue has been fix, now Vietnamese display correctly. Thanks you.
May be you need to add this to trunk.

#8 - 2011-06-10 02:22 - Toshi MARUYAMA

- Target version set to 1.2.1

#9 - 2011-06-10 05:35 - Toshi MARUYAMA
- Status changed from New to Closed
- % Done changed from 30 to 100

- Resolution set to Fixed

Committed in trunk and 1.2-stable, thanks.

#10 - 2011-08-15 18:51 - Vinh Nguyen

Hi, Toshi MARUYAMA and Van Nam Nguyen

I'm a newbie in using redmine. | have problem with "Exported PDF UTF-8 Viethamese not correct", too.
| try to connect "https://bitbucket.org/marutosi/redmine-vietnamese-pdf" but it has missing.

Can you reupload?

#11 - 2011-08-16 00:31 - Toshi MARUYAMA

This issue is fixed in Redmine 1.2.1.
So, | deleted my Bitbucket Mercurial repository.
Could you upgrade Redmine to 1.2.1?

#12 - 2011-08-16 00:34 - Toshi MARUYAMA

Redmine 1.2 switches fonts by user locale.
To use DejaVuSans fonts, you need to select Vietnamese locale in account setting.

#13 - 2011-08-16 04:16 - Vinh Nguyen

i'm a newbie, so i follow this tutorial
"http://www.redmine.org/projects/redmine/wiki/HowTo_Install_Redmine_in_a_sub-URI_on_Windows_with_Apache" to install, and i install redmine
1.0.4

And i don't know how to upgrade redmine 1.2.1

please, help me!

#14 - 2011-08-16 19:11 - Vinh Nguyen

toshio harita MARUYAMA: i have updated redmine 1.2.1, and select Vietnamese locale in account setting, and the bug was fixed, but i have to use
Viethammese in my site. How can i fix this bug, but still use English???

#15 - 2011-08-16 19:11 - Vinh Nguyen

and thanks for your help!

Files
export2.pdf 40.8 KB 2011-06-09 Van Nam Nguyen
font.png 52.6 KB 2011-06-09 Toshi MARUYAMA
https://www.redmine.org/users/10651
http://www.tcpdf.org

